Skip to main content
PATCH
Update Webhook

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

webhook_id
string
required

The ID of the webhook endpoint

Body

url
string<uri>

HTTPS endpoint that receives the events

Maximum string length: 2048
events
enum<string>[]

Events to subscribe to

Minimum array length: 1

An event an endpoint can subscribe to

Available options:
chat.assigned,
contact.blocked,
contact.unsubscribed,
broadcast.failed,
broadcast.bounced,
broadcast.complained,
broadcast.suppressed
name
string
Required string length: 1 - 64
enabled
boolean

Response

200 - application/json

A webhook endpoint

id
string
required
name
string
required
url
string
required
events
enum<string>[]
required

An event an endpoint can subscribe to

Available options:
chat.assigned,
contact.blocked,
contact.unsubscribed,
broadcast.failed,
broadcast.bounced,
broadcast.complained,
broadcast.suppressed
enabled
boolean
required
secret
string | null
required

Signing secret. Returned in full on create and rotate only; masked afterwards.

disabled_reason
string | null
required

Why the endpoint was disabled automatically, if it was

consecutive_failures
number
required
last_delivery_at
string<date-time> | null
required
last_success_at
string<date-time> | null
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required